Introduction

GE Graph

v.2.2.0

GE-Graph is a freeware and may be distributed freely (credits intact).

No warranty of any kind is made for any use.

homepage: http://paginas.terra.com.br/informatica/sgrillo/googleearth/index.htm

Support:

R.Sgrillo

Cocoa Research Center

sgrillo@cepec.gov.br

GE-Graph was developed to generate graphs from kml files saved by Google Earth or from txt files. The data can also be typed into the application or pasted from Excel, Word, etc. The file generated by GE-Graph can be exported do Google Earth. You can then use the graphs to illustrate your presentations, papers, etc.

GE-Graph can also be used just to generate kml files from typed data or from data copied from other applications.

Features:

  • Make Bars graph
  • Make graph with geometrical shapes (circles, squares, triangles, etc).
  • Set the shape size according to each placemark value
  • Also set the shape color according to a placemark value
  • Graph's title and color scale as GE screen overlays
  • Different choice of label content (place name and/or value)
  • Different color scales to be chosen
  • Paste files from other applications (Word, Excel, Access,...)
  • Export data to Excel
  • Sort and filter placemark data (coordinates, names and value)-not for shape files
  • Save file as kmz(v 2.1.0)
  • Choose minimum and maximum values for color scale(v 2.1.0)
  • Transform values to square root(v 2.1.0)
  • Compatible with GE4 and kml 2.1(v 2.2.0)
  • Read polygon kml file (territory borders, etc)(v 2.2.0)
  • Draw bars with any regular polygon form(v 2.2.0)
  • Reorder coordinates sequence (if necessary) to show right fill colors(v 2.2.0)
  • Automatic set (and restore on exit) the decimal separator (if necessary)(v 2.2.0)
  • Custom color scale(v 2.2.0)
  • Choice to position the title and color scale (top/botton)(v 2.2.0)
  • Save and load Options file(v 2.2.0)

Copyright © <Year>, <Your company/name>

This help file has been generated by the freeware version of HelpNDoc


Galery

Few graphs generated by GE-Graph are show bellow:


Input Files

Notes:

    1. The 'value' parameter has to be greater or equal zero
    2. The coordinates has to be in decimal degrees

Data table

New File

  • Open GE-Graph and click in menu File => New
  • Enter latitude, longitude, place name and value into the corresponding fields (see note above)
  • Press <Enter> after entering new data into a cell and use the arrow keys to navigate
  • Press Insert row or Delete select row to insert or delete rows

KML

a) Place Marks

Create a folder in Google Earth and create, move or copy your placemarks there. Save the folder as KML file.

Your data will be displayed in the application table when you open the file in GE-Graph. Note that the input file must have only placemarks on it.

You can enter the bar's value for each place, in the corresponding column.

It is not possible to open an already processed file. For further edition it is most convenient to save your data as txt.

Summary

  • Create a Folder in GE
  • Create, move or copy the your placemarks to this folder
  • Save the folder as kml
  • Open GE-Graph and click in menu File => Open kml
  • Choose the saved file and load it. The data will be shown in GE-Graph table
  • Enter the 'value' of each placemark (see not above)
  • Double click in a cell to edit data

b) Polygon Files (Shape)

GE-Graph 2.2.0 can read Polygon kml files, as territory borders or any other.

A shape file may be composed of hundreds of polygons, with thousands of coordinates each one. GE-Graph may take a long time to load this kind of file.

GE-Graph will identify coordinates of a polygon if they are delimited by <LineString> or <LinearRing> kml tags.

Each place has to have a <name> tag and may be composed of various polygons.

All polygons of the one place will have the same height and/or be filled with the same color:

Editing, sorting and filtering data will be disabled when working with polygon files. You can only paste Value data and generate random (uniform distribution) values.

Txt

GE-Graph reads also txt files in the following format (remove any empty lines in top, middle or the bottom of the file):

Note: The data separator has to be comma, not semicolon.

The txt files are also presented in the application's table.

Pasting data

You can paste data copied from a Word table, Excel, Access, etc. Your data have to be in the order shown below.

If you include the head row when copying the data it will also be pasted in GE-Graph. Don't forget to delete it when proceeding.

To paste data click, any time, in Paste data from clipboard in the bottom of the GE-Graph table. Any data already in the table will be lost.

If you are working with shape files you can paste only the column "Value"

Editing, sorting and filtering data

You can delete and insert rows in the table using the corresponding buttons in the bottom of the table.

To edit any data double click in a cell, edit and press <Enter> when done. Use the arrow keys to navigate.

By clicking in the column header you will sort (ascending or descending) that column.

The order of the placemarks in GE will be the same of GE-Graph's table

You can filter the data by filling any of the Max and/or Min fields above the table and clicking Filter. To remove the filter click in Remove.

This operations are not allowed when working with polygon (shape) files.


General Options

Option

General options

Open in GE

After processed, if Open in GE is checked, the file will be exported and shown in Google Earth. Otherwise it will be only saved.

Title

Check Show title in GE if you want a screen overlay of the title shown in GE. Choose if it will be shown in the top or bottom of the GE viewer.

Two lines for the title are available. You can choose the font type, size, bold, italic, etc, font color and backcolor.

If you want to see how the title will be shown Click in Preview Title. Click in X to hide it. The title picture can be dragged around.

Labels

You can choose and format the labels that will be shown in the graph.

Grid

Horizontal and vertical grid lines at the land level will be drawn by checking this option

Fix shape's draw order

This option will be available only if you are working with polygon (shape) files. In order to show the right fill color Google Earth requires that the coordinates of a polygon be written in an anti clockwise sequence, otherwise the fill colors will be presented as black or grey.

The Fix shape's draw order option will check each polygon to verify the draw order and, if necessary, it will re-order the coordinates of the polygon. Depending on the size of the file this processes can take a very long time (several minutes).

Clockwise draw order | Anti clockwise draw order

Value Transform

If you wish to decrease larger differences between maximum and minimum values you can transform the values in Log or Square root.


Gaph Options

Gaph Option

Graph Type

Your graph can be Flat (clamped to the ground) or 3D

Flat | 3D

You can choose to draw regular polygon with any number of sides (>2). Usually circles will be shown ok if you choose around 20 sides.

If you are working with polygon (shape) files, the option Polygon sides will not be visible

Size

You can choose if the figure will have a constant or variable size.

If you are working with polygon (shape) files, the frames regarding to Size will not be visible.

a) Constant

If you choose constant size you will have to inform the size (distance from the center of the polygon to one of its vertex) and the measurement unit.

b) According to value

Check this option to make the size of the polygon varies according to the value parameter. If Automatic scale is checked GE-Graph will choose the best scale factor to use.

If you want to proportionally increase or decrease the size of the polygons, uncheck Automatic scale and change the Size factor.

Height

You can choose if the figure will have a constant or variable height.

If the graph type is Flat the frames regarding to Height will not be visible.

a) Constant

If you choose constant height you will have to inform the height (distance from the soil to the top of the polygon) and the measurement unit.

b) According to value

Check this option to make the height of the polygon varies according to the value parameter. If Automatic scale is checked GE-Graph will choose the best height factor to use. Altitude to add (meters) refers to a constant height that is added to each polygon. This is to avoid fails in the color filling process that may occur in the lower polygons.

If you want to proportionally increase or decrease the height of the polygons, uncheck Automatic scale and change the Height factor. If you want to change the constant height added to every polygon, change Altitude to add. The unit of this value is meters.

Color

You can choose if the figure will have a constant or variable color.

a) Constant

If you choose constant color you will have to chose the fill and outline color to be used.

b) According to value

Check this option to make the color of the polygon varies according to the value parameter.

Click in the color scales (one to seven) to choose which one will be used. If you want a custom color scale, click in the Light and Dark color and then in ok. Your color scale will be shown. Before finish look at the number in Selected: to see if the right scale is chosen.

If you want to show the color scale in GE viewer check Show scale in GE, and choose Top or Bottom.

If automatic scale is checked the minimum and maximum values of the scale will be the minimum and maximum value of the Value parameter. Uncheck Automatic scale to change Min and Max


Running and saving files

Click in Run (menu bar) to generate the KML or KMZ file with the graph.

You will be prompted for a file name. The file will be saved and, if Open in GE is checked, the file will be exported and shown in Google Earth.

If your graph have a title and/or color scale it is recommended that you save the file as KMZ. This format will be smaller and everything will be saved in a single file. Otherwise the (kml) the title and/or color scale will be saved as a bmp picture, in the same directory.

You can save your data as a txt file (menu File, Save txt) at any time.

Alternatively you can export the file to Excel (menu File, Export to Excel)

You can also save, at any time, an option file (.ggo)